jif.ast

## Interface JifConstructorDecl

- All Superinterfaces:
    polyglot.ast.ClassMember, java.lang.Cloneable, polyglot.ast.CodeBlock, polyglot.ast.CodeDecl, polyglot.ast.CodeNode, polyglot.ast.ConstructorDecl, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Documentable, JifProcedureDecl, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.ProcedureDecl, java.io.Serializable, polyglot.ast.Term
  All Known Implementing Classes:
    JifConstructorDecl_c

      public interface JifConstructorDecl
      extends JifProcedureDecl, polyglot.ast.ConstructorDecl

  An immutable representation of the Jif constructor declaration. It extends the Java constructor declaration with the start label, the return label, and various constraints, including the authority constraint, the caller constraint, and the acts-for constraint.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JifConstructorDecl` | `constraints(java.util.List<ConstraintNode<Assertion>> constraints)`
    `JifConstructorDecl` | `returnLabel(LabelNode returnLabel)`
    `JifConstructorDecl` | `startLabel(LabelNode startLabel)`

    - ### Methods inherited from interface jif.ast.JifProcedureDecl

      `constraints, returnLabel, startLabel`

    - ### Methods inherited from interface polyglot.ast.ConstructorDecl

      `constructorInstance, constructorInstance, id`

    - ### Methods inherited from interface polyglot.ast.ProcedureDecl

      `flags, flags, formals, formals, id, name, name, procedureInstance, throwTypes, throwTypes`

    - ### Methods inherited from interface polyglot.ast.CodeBlock

      `body, body`

    - ### Methods inherited from interface polyglot.ast.CodeNode

      `codeBody, codeInstance`

    - ### Methods inherited from interface polyglot.ast.ClassMember

      `memberInstance`

    - ### Methods inherited from interface polyglot.ast.Documentable

      `javadoc, javadoc`

- - ### Method Detail

    - #### startLabel

          JifConstructorDecl startLabel(LabelNode startLabel)

    - #### returnLabel

          JifConstructorDecl returnLabel(LabelNode returnLabel)

    - #### constraints

          JifConstructorDecl constraints(java.util.List<ConstraintNode<Assertion>> constraints)